/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <console.h>
#include <gpxe/init.h>
#include <gpxe/command.h>
#include <gpxe/sf_main.h>

/** @file
 *
 * 'sfconfig' shell command
 *
 */

static int sfconfig_exec ( int argc, char **argv __unused ) {

	if ( argc > 1 )
		return 1;

	sfconfig();
	return 0;
}

/* Describe the command for gPXE shell */
struct command sfconfig_command __command = {
	.name = "sfconfig",
	.exec = sfconfig_exec,
};
