/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_COMMAND_H
#define _GPXE_COMMAND_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/tables.h>

/** A command-line command */
struct command {
	/** Name of the command */
	const char *name;
	/**
	 * Function implementing the command
	 *
	 * @v argc		Argument count
	 * @v argv		Argument list
	 * @ret rc		Return status code
	 */
	int ( * exec ) ( int argc, char **argv );
};

#define COMMANDS __table ( struct command, "commands" )

#define __command __table_entry ( COMMANDS, 01 )

extern char * concat_args ( char **args );

#endif /* _GPXE_COMMAND_H */
