/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_LINECONSOLE_H
#define _GPXE_LINECONSOLE_H

/** @file
 *
 * Line-based console
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stdint.h>
#include <gpxe/ansiesc.h>

/** A line-based console */
struct line_console {
	/** Data buffer
	 *
	 * Must initially be filled with NULs
	 */
	char *buffer;
	/** Current index within buffer */
	size_t index;
	/** Length of buffer
	 *
	 * The final character of the buffer will only ever be used as
	 * a potential terminating NUL.
	 */
	size_t len;
	/** ANSI escape sequence context */
	struct ansiesc_context ctx;
};

extern size_t line_putchar ( struct line_console *line, int character );

#endif /* _GPXE_LINECONSOLE_H */
