/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _SFCONFIG_SF_WIDGETS_DRAW_RUN_H
#define _SFCONFIG_SF_WIDGETS_DRAW_RUN_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/sf_widgets.h>

extern int sf_window_run ( struct sf_widget *this, int key );
extern int sf_button_run ( struct sf_widget *this, int key );
extern int sf_editbox_run ( struct sf_widget *this, int key );
extern int sf_checkbox_run ( struct sf_widget *this, int key );
extern int sf_combo_run ( struct sf_widget *this, int key );
extern int sf_list_run ( struct sf_widget *this, int key );
extern int sf_row_run ( struct sf_widget *this, int key );

extern void sf_window_draw ( struct sf_widget *this );
extern void sf_button_draw ( struct sf_widget *this );
extern void sf_editbox_draw ( struct sf_widget *this );
extern void sf_checkbox_draw ( struct sf_widget *this );
extern void sf_combo_draw ( struct sf_widget *this );
extern void sf_text_draw ( struct sf_widget *this );
extern void sf_info_draw ( struct sf_widget *this );
extern void sf_list_draw ( struct sf_widget *this );
extern void sf_row_draw ( struct sf_widget *this );

extern void sf_window_scroll ( sf_widget *this );
extern void sf_editbox_scroll ( sf_widget *this );
extern void sf_list_scroll ( sf_widget *this );

#endif
