/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef NMB_H
#define NMB_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/dns.h>

/*
 * NetBIOS name query packets are basically the same as DNS packets,
 * though the resource record format is different.
 *
 */

#define DNS_TYPE_NB		0x20
#define DNS_FLAG_BROADCAST	( 0x01 << 4 )
#define NBNS_UDP_PORT		137

struct dns_rr_info_nb {
	struct dns_rr_info info;
	uint16_t	nb_flags;
	struct in_addr	nb_address;
} __attribute__ (( packed ));

#endif /* NMB_H */
