/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef ETHERBOOT_WCHAR_H
#define ETHERBOOT_WCHAR_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stddef.h>
#include <bits/string.h>

size_t wcslen(const wchar_t * s);
wchar_t * wcsstr(const wchar_t * s1, const wchar_t * s2);

int swprintf(wchar_t *wcs, size_t size, const wchar_t *wfmt, ...);
int vswprintf(wchar_t *buf, size_t size, const wchar_t *fmt, va_list args);

typedef int mbstate_t;
size_t mbsnrtowcs(wchar_t *out, const char **in, size_t inlen, size_t outlen,
		  mbstate_t *ps __unused);
size_t mbstowcs(wchar_t *dest, const char *src, size_t n);
size_t wcstombs(char *out, const wchar_t *in, size_t outlen);

#endif /* ETHERBOOT_WCHAR_H */
